##### basic_socket_acceptor::cancel (1 of 2 overloads)

Cancel all asynchronous operations associated with the acceptor.

    void cancel();

This function causes all outstanding asynchronous connect, send and receive operations to finish immediately, and the handlers for cancelled operations will be passed the `asio::error::operation_aborted` error.

###### Exceptions

asio::system_error

  Thrown on failure.